*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #C4E538;
}

.clock{
    width: 350px;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(images/clock.png);
    background-size: cover;
    /* border: 1px solid #747d8c; */
    border-radius: 50%;

    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, 
                 rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, 
                 rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;

}

.name{
    padding: 50px;
}

.clock:before{
    content: ' ';
    position: absolute;
    width: 15px;
    height: 15px;
    background: white;
    border-radius: 50%;
    z-index: 10000;
}

.clock .hour,
.clock .min,
.clock .sec{
    position: absolute;
}

.clock .hour, .hr{
    width: 180px;
    height: 180px;
    /* color: blue; */
}

.clock .min, .mn{
    width: 230px;
    height: 230px;
    /* color: blueviolet; */
}

.clock .sec, .sc{
    width: 250px;
    height: 250px;
    /* color: red; */
}

.hr, .mn, .sc{
    display: flex;
    justify-content: center;
    /* align-items: center; */
    position: absolute;
    border-radius: 50%;

}


.hr:before{
    content: '';
    position: relative;
    width: 6px;
    height: 90px;
    background: #574ced;
    z-index: 10;
    border-radius: 6px 6px 0 0;
}

.mn:before{
    content: '';
    position: relative;
    width: 4px;
    height: 120px;
    background: #030303;
    z-index: 11;
    border-radius: 6px 6px 0 0;
}

.sc:before{
    content: '';
    position: relative;
    width: 2px;
    height: 140px;
    background: #ff0000;
    z-index: 12;
    border-radius: 6px 6px 0 0;
}